import { OnInit, Renderer2 } from '@angular/core';
import { Config } from '../../spinner.types';
import { SpinnerService } from '../../spinner.service';
import * as i0 from "@angular/core";
export declare class SpinnerButtonComponent implements OnInit {
    spinnerService: SpinnerService;
    protected renderer: Renderer2;
    isOpened: boolean;
    private spinnerEventSubscription;
    private logger;
    placement: string;
    config: Config;
    toggleFadeElement: any;
    autoopen: boolean;
    constructor(spinnerService: SpinnerService, renderer: Renderer2);
    toggleElement(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpinnerButtonComponent, "epom-spinner-button", never, { "placement": "placement"; "config": "config"; "toggleFadeElement": "toggleFadeElement"; "autoopen": "autoopen"; }, {}, never, never, false>;
}
